Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.util
Class SwingWorker.ThreadVar

    java.lang.Object
      |
      +--org.opencyc.util.SwingWorker.ThreadVar

Enclosing class:
  SwingWorker

public static class SwingWorker.ThreadVar
extends java.lang.Object

Class to maintain reference to current worker thread under separate synchronization control.

Field Summary
`protected java.lang.Thread` | `thread`

Method Summary
`void` | `clear()`
`java.lang.Thread` | `get()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    protected java.lang.Thread thread

Method Detail

### get

    public java.lang.Thread get()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD